Skip to main content
Platform O&M/Cloud Monitoring/Monitoring and Alarm/SNS/SNS Operations
POSTSNS OperationsSince 3.7.0SynchronousAuth Required

AddSNSSmsReceiver

AddSNSSmsReceiver

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • paramsObjectRequired

    Request body parameter object.

    • phoneNumberString

      Optional. The phone number to receive SMS messages.

    • phoneNumberListList

      Optional. The list of phone numbers to receive SMS messages.

    • endpointUuidStringRequired

      The UUID of the SMS message endpoint.

    • typeStringRequired

      The SMS endpoint type.

    • descriptionString

      Optional. The description of the SMS message receiver.

    • resourceUuidString

      Optional.

    • tagUuidsList

      Optional. The tag UUID list.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesSNSSmsReceiverInventoryRequired

    See inventories.

    • uuidStringRequired

      The resource UUID.

    • phoneNumberStringRequired

      The phone number to receive SMS messages.

    • endpointUuidStringRequired

      The UUID of the SMS message endpoint.

    • descriptionStringRequired

      The description of the SMS message receiver.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • typeSmsReceiverTypeRequired

      See type.

      • AliyunSmsSmsReceiverTypeRequired

        The Aliyun SMS message.

      • UniversalSmsSmsReceiverTypeRequired

        The universal SMS message.

Endpoint

POST/zstack/v1/sns/sms-endpoints/receivers

/zstack/v1/sns/sms-endpoints/receivers

Operation ID

AddSNSSmsReceiver

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/sns/sms-endpoints/receivers' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"phoneNumber":"<phoneNumber>","phoneNumberList":["<phoneNumberList>"],"endpointUuid":"<endpointUuid>","type":"<type>","description":"<description>","resourceUuid":"<resourceUuid>","tagUuids":["<tagUuids>"]},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventories": [ { "uuid": "d122a14806e8405894d00034b0a91dd1", "phoneNumber": "18912345678", "endpointUuid": "d539f1d109534f90b0cbf50cff412585", "type": "AliyunSms", "description": "description", "createDate": "Jun 13, 2024 5:29:04 PM", "lastOpDate": "Jun 13, 2024 5:29:04 PM" } ] }

Change History

This API has no change history records yet.

View all change history